Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Class SqlCountProcessor

java.lang.Object
org.firebirdsql.gds.ng.SqlCountProcessor

All Implemented Interfaces:
  `InfoProcessor<SqlCountHolder>`

public final class SqlCountProcessor extends Object implements InfoProcessor<SqlCountHolder>
Info processor for retrieving affected record count.

Since:
  3.0
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.InfoProcessor

`InfoProcessor.StatementInfo`

## Constructor Summary

Constructors
Constructor
Description
`SqlCountProcessor()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getRecordCountInfoItems()`
`SqlCountHolder`
`process(byte[] infoResponse)`
Process an infoResponse block into an object of type T.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SqlCountProcessor

public SqlCountProcessor()

## Method Details

### process

public SqlCountHolder process(byte[] infoResponse) throws SQLException
Description copied from interface: `InfoProcessor`
Process an infoResponse block into an object of type T.

Specified by:
  `process` in interface `InfoProcessor<SqlCountHolder>`
Parameters:
  `infoResponse` - byte array containing the server response to an info-request.
Returns:
  Processed response of type T (usually - but not required - a newly created object).
Throws:
  `InfoTruncatedException` - (optional) if `infoResponse` is truncated and this processor could not recover by itself
  `SQLException` - for errors during processing the infoResponse.

### getRecordCountInfoItems

public byte[] getRecordCountInfoItems()